TOLOWER(3) | Library Functions Manual | TOLOWER(3)

# NAME

`tolower` — upper case to lower case letter conversion

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <ctype.h>`

int
`tolower`(int c);

# DESCRIPTION

The `tolower`() function converts an upper-case letter to the corresponding lower-case letter.

# RETURN VALUES

If the argument is an upper-case letter, the `tolower`() function returns the corresponding lower-case letter if there is one; otherwise the argument is returned unchanged.

# SEE ALSO

ctype(3), isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), toupper(3), ascii(7)

# STANDARDS

The `tolower`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# CAVEATS

The argument to `tolower`() must be `EOF` or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.

April 17, 2008 | NetBSD 11.0